Bug 964113 - Fails to migrate for scalable nodejs-0.6 apps with db addon carts added
Fails to migrate for scalable nodejs-0.6 apps with db addon carts added
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 05:20 EDT by joycezhang
Modified: 2015-05-14 19:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:05:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-05-17 05:20:00 EDT
Description of problem:
If trying to migrate scalable nodejs-0.6 apps with db carts, it would be failed as below:

Migrating app 'scalndcarts' gear 'scalndcarts' with uuid '519596ed548dd90a47000007' on node 'ip-10-152-178-145' for user: jinzhang+2@redhat.com
Failed to migrate with cmd: '/usr/bin/rhc-admin-migrate --login 'jinzhang+2@redhat.com' --migrate-gear '519596ed548dd90a47000007' --app-name 'scalndcarts' --version '2.0.28'' after 2 tries with exception: Failed migrating gear. Rerun with: /usr/bin/rhc-admin-migrate --login 'jinzhang+2@redhat.com' --migrate-gear '519596ed548dd90a47000007' --app-name 'scalndcarts' --version '2.0.28'
Migrating gear on node with: /usr/bin/rhc-admin-migrate --login 'jinzhang+2@redhat.com' --migrate-gear '519596ed548dd90a47000007' --app-name 'scalndcarts' --version '2.0.28'
/usr/bin/rhc-admin-migrate --login 'jinzhang+2@redhat.com' --migrate-gear '519596ed548dd90a47000007' --app-name 'scalndcarts' --version '2.0.28'
You have mail in /var/spool/mail/root


Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to devenv_3235 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create a scalable nodejs-0.6 app, and add db carts postgresql, mysql and mongodb to this app.
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3235 instance to
same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28
11. Run rhc-admin-migrate --version 2.0.28
12. Check migrate log for the app and check app status..
  
Actual results:
It's failed for haproxy gear which is stopped as below:

# rhc app show -a scalndcarts --gears -l jinzhang+2@redhat.com
ID                       State   Cartridges             Size  SSH URL
------------------------ ------- ---------------------- ----- -------------------------------------------------------------------------
519596ee548dd90a47000008 started postgresql-8.4         small 519596ee548dd90a47000008@519596ee548dd90a47000008-dmtest2.dev.rhcloud.com
519596ee548dd90a47000009 started mysql-5.1              small 519596ee548dd90a47000009@519596ee548dd90a47000009-dmtest2.dev.rhcloud.com
519596ee548dd90a4700000a started mongodb-2.2            small 519596ee548dd90a4700000a@519596ee548dd90a4700000a-dmtest2.dev.rhcloud.com
519596ed548dd90a47000007 stopped nodejs-0.6 haproxy-1.4 small 519596ed548dd90a47000007@scalndcarts-dmtest2.dev.rhcloud.com


Expected results:
It should be successful.


Additional info:
1. It works well for non-scalable nodejs-0.6 app with all db carts added.
2. It works well for scalable nodejs-0.6 apps with jenkins client added, or a single scalable nodejs-0.6 app.
Comment 1 joycezhang 2013-05-20 03:54:37 EDT
Verified on devenv_stage_353 migrated to devenv_3246, the scalable nodejs-0.6 app with db carts can be migrated successfully.

Note You need to log in before you can comment on or make changes to this bug.